--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/bouncehg Tue Jan 14 13:32:24 2020 -0500
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+pass show -c servers/hg/sjl
+ssh -t hsl -- sudo servicectl restart hg
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/mkrepo Tue Jan 14 13:32:24 2020 -0500
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+ssh hsl -- hg init repos/"$1"
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/reporc Tue Jan 14 13:32:24 2020 -0500
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+ssh -t hsl -- vim repos/"$1"/.hg/hgrc
--- a/hgrc Tue Jan 07 17:16:44 2020 -0800
+++ b/hgrc Tue Jan 14 13:32:24 2020 -0500
@@ -38,6 +38,7 @@
ghs = git+ssh://git@github.com/
sh = https://hg.sr.ht/~
shs = ssh://hg@hg.sr.ht/~
+hsl = ssh://hsl/repos/
[diff]
git = True
@@ -188,7 +189,7 @@
# Easily add ignore patterns to .hgignore and commit.
ignore = ![ -n "$@" ] && echo '$@' >> `$HG root`/.hgignore && \
- $HG commit `$HG root`/.hgignore -Am 'Add "$@" to .hgignore.'
+ $HG commit `$HG root`/.hgignore -Am 'Add "$@" to .hgignore'
# Show in Vim
vshow = !$HG show $@ --color=never | nvim -c 'setlocal buftype=nofile ft=diff' -
--- a/lisprc Tue Jan 07 17:16:44 2020 -0800
+++ b/lisprc Tue Jan 14 13:32:24 2020 -0500
@@ -22,11 +22,17 @@
(defglobal ,var nil)
(setf ,var ,val)))
+
;;;; Scratch Marker -----------------------------------------------------------
(defun sharp-semicolon-reader (stream sub-char numarg)
(declare (ignore sub-char numarg))
(loop :while (read-line stream nil nil))
- '(values))
+ (values))
+
+(defun shebang-reader (stream sub-char numarg)
+ (declare (ignore sub-char numarg))
+ (read-line stream)
+ (values))
(set-dispatch-macro-character #\# #\; #'sharp-semicolon-reader)
-
+;; (set-dispatch-macro-character #\# #\! #'shebang-reader)
--- a/stumpwmrc Tue Jan 07 17:16:44 2020 -0800
+++ b/stumpwmrc Tue Jan 14 13:32:24 2020 -0500
@@ -308,8 +308,8 @@
(,laptop ("--off"))
(,extern ("--auto"))
(,extern ("--primary"))
- (,laptop ("--auto"))
- (,laptop ("--left-of" ,extern))
+ ;; (,laptop ("--auto"))
+ ;; (,laptop ("--left-of" ,extern))
)
do (uiop:run-program `("xrandr" "--output" ,output ,@commands))))
@@ -416,6 +416,9 @@
(defcommand terminal () ()
(run-shell-command (format nil "st -f 'Ubuntu Mono:size=~D'" *terminal-font-size*)))
+(defcommand gcontrol () ()
+ (run-or-raise "gcontrol" '(:class "Gnome-control-center")))
+
;;;; Timers -------------------------------------------------------------------
(defparameter *pop-timer-minutes* nil)
@@ -485,6 +488,7 @@
("H-o" "spotify")
("H-q" "exec lock-screen")
("H-y" "screenshot")
+ ("H-g" "gcontrol")
("H-f" "save-fucked-screenshot")
("H-F" "delete-fucked-screenshot")
("H-r" "loadrc")